## cong-tree-view

cong-tree-view —

## Synopsis

    #define     CONG_TREE_VIEW                  (x)
    gboolean    (*CongTreeViewNodeFilter)       (CongTreeView *cong_tree_view,
                                                 CongNodePtr node,
                                                 gpointer user_data);
    void        (*CongTreeViewNodeCreationCallback)
                                                (CongTreeView *cong_tree_view,
                                                 GtkTreeIter *tree_iter,
                                                 CongNodePtr node,
                                                 gpointer user_data);
    GdkPixbuf*  (*CongTreeViewPixbufCallback)   (CongTreeView *cong_tree_view,
                                                 CongNodePtr node,
                                                 gpointer user_data);
    CongTreeView* cong_tree_view_new            (CongDocument *doc,
                                                 gboolean use_markup,
                                                 CongTreeViewNodeFilter node_filter,
                                                 CongTreeViewNodeCreationCallback node_creation_callback,
                                                 CongTreeViewPixbufCallback pixbuf_callback,
                                                 gpointer user_data,
                                                 CongPrimaryWindow *primary_window);
    void        cong_tree_view_free             (CongTreeView *tree_view);
    GtkWidget*  cong_tree_view_get_widget       (CongTreeView *tree_view);
    gboolean    cong_tree_view_should_show_node (CongTreeView *cong_tree_view,
                                                 CongNodePtr node);
    CongNodePtr cong_tree_view_get_selected_node
                                                (CongTreeView *cong_tree_view);
    GtkTreeStore* cong_tree_view_protected_get_tree_store
                                                (CongTreeView *tree_view);
    void        cong_tree_view_protected_force_node_update
                                                (CongTreeView *tree_view,
                                                 CongNodePtr node);

## Description

## Details

### CONG_TREE_VIEW()

    #define CONG_TREE_VIEW(x) ((CongTreeView*)(x))

`x` : |

### CongTreeViewNodeFilter ()

    gboolean    (*CongTreeViewNodeFilter)       (CongTreeView *cong_tree_view,
                                                 CongNodePtr node,
                                                 gpointer user_data);

`cong_tree_view` : |
`node` : |
`user_data` : |
Returns : |

### CongTreeViewNodeCreationCallback ()

    void        (*CongTreeViewNodeCreationCallback)
                                                (CongTreeView *cong_tree_view,
                                                 GtkTreeIter *tree_iter,
                                                 CongNodePtr node,
                                                 gpointer user_data);

`cong_tree_view` : |
`tree_iter` : |
`node` : |
`user_data` : |

### CongTreeViewPixbufCallback ()

    GdkPixbuf*  (*CongTreeViewPixbufCallback)   (CongTreeView *cong_tree_view,
                                                 CongNodePtr node,
                                                 gpointer user_data);

`cong_tree_view` : |
`node` : |
`user_data` : |
Returns : |

### cong_tree_view_new ()

    CongTreeView* cong_tree_view_new            (CongDocument *doc,
                                                 gboolean use_markup,
                                                 CongTreeViewNodeFilter node_filter,
                                                 CongTreeViewNodeCreationCallback node_creation_callback,
                                                 CongTreeViewPixbufCallback pixbuf_callback,
                                                 gpointer user_data,
                                                 CongPrimaryWindow *primary_window);

TODO: Write me

`doc` : |
`use_markup` : |
`node_filter` : |
`node_creation_callback` : |
`pixbuf_callback` : |
`user_data` : |
`primary_window` : |
Returns : |

### cong_tree_view_free ()

    void        cong_tree_view_free             (CongTreeView *tree_view);

TODO: Write me

`tree_view` : |

### cong_tree_view_get_widget ()

    GtkWidget*  cong_tree_view_get_widget       (CongTreeView *tree_view);

TODO: Write me

`tree_view` : |
Returns : |

### cong_tree_view_should_show_node ()

    gboolean    cong_tree_view_should_show_node (CongTreeView *cong_tree_view,
                                                 CongNodePtr node);

TODO: Write me

`cong_tree_view` : |
`node` : |
Returns : |

### cong_tree_view_get_selected_node ()

    CongNodePtr cong_tree_view_get_selected_node
                                                (CongTreeView *cong_tree_view);

TODO: Write me

`cong_tree_view` : |
Returns : |

### cong_tree_view_protected_get_tree_store ()

    GtkTreeStore* cong_tree_view_protected_get_tree_store
                                                (CongTreeView *tree_view);

TODO: Write me

`tree_view` : |
Returns : |

### cong_tree_view_protected_force_node_update ()

    void        cong_tree_view_protected_force_node_update
                                                (CongTreeView *tree_view,
                                                 CongNodePtr node);

TODO: Write me

`tree_view` : |
`node` : |